package app03d.listener;

import java.util.ArrayList;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import org.apache.struts.util.LabelValueBean;

public class AppLifecycleListener implements ServletContextListener {

  public void contextInitialized(ServletContextEvent cse) {
    System.out.println("Initializing Application");
    ServletContext servletContext = cse.getServletContext();
    ArrayList productList = new ArrayList(3);
    productList.add(new LabelValueBean("Computer", "co"));
    productList.add(new LabelValueBean("Television", "tv"));
    productList.add(new LabelValueBean("Radio", "ra"));
    servletContext.setAttribute("productList", productList);

    ArrayList productLabels = new ArrayList(3);
    productLabels.add("CD Player");
    productLabels.add("Video Cassette Recorder");
    productLabels.add("Tape Recorder");
    servletContext.setAttribute("productLabels", productLabels);

    ArrayList productValues = new ArrayList(3);
    productValues.add("CD");
    productValues.add("VCR");
    productValues.add("Tape");
    servletContext.setAttribute("productValues", productValues);

  }

  public void contextDestroyed(ServletContextEvent cse) {
  }

}
